`timescale 1ns/1ns
`define NULL 0
`define EOF 32'hffff_ffff

module test4;
   integer 	filein, r;
   reg [ 7:0] 	r8;
 	
   initial
     begin
	$display("\n\n------------------------------------------------------------------------");
	$display("Read values & line nums with reg in $getpat_open");
	filein = $getpat_open("test4.dec", "d", r8); // Specify regs here

	/* Loop through the file */
	r = $getpat_next(filein);
	while (r != `EOF)
	  begin
	     #1 $display("line=%0d r=%0d", r, r8);
	     r = $getpat_next(filein);
	  end
	#1 $display("final rtn=%0d, r=%0d", r, r8);
	$getpat_close(filein);


	$display("\n\n------------------------------------------------------------------------");
	$display("Read values & line nums with reg in $getpat_next");
	filein = $getpat_open("test4.dec", "d");

	/* Loop through the file */
	r = $getpat_next(filein, r8); // Specify regs here
	while (r != `EOF)
	  begin
	     #1 $display("line=%0d r=%0d", r, r8);
	     r = $getpat_next(filein, r8); // Specify regs here
	  end
	#1 $display("final rtn=%0d, r=%0d", r, r8);
	$getpat_close(filein);

	$finish;
     end

endmodule
